org.apache.geode.cache.configuration

## Class RegionAttributesType.DiskWriteAttributes.AsynchronousWrites

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.DiskWriteAttributes.AsynchronousWrites

- Enclosing class:
    RegionAttributesType.DiskWriteAttributes

      public static class RegionAttributesType.DiskWriteAttributes.AsynchronousWrites
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="bytes-threshold" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="time-interval" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `bytesThreshold`
    `protected java.lang.String` | `timeInterval`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsynchronousWrites()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBytesThreshold()` Gets the value of the bytesThreshold property.
    `java.lang.String` | `getTimeInterval()` Gets the value of the timeInterval property.
    `void` | `setBytesThreshold(java.lang.String value)` Sets the value of the bytesThreshold property.
    `void` | `setTimeInterval(java.lang.String value)` Sets the value of the timeInterval property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bytesThreshold

          protected java.lang.String bytesThreshold

    - #### timeInterval

          protected java.lang.String timeInterval

  - ### Constructor Detail

    - #### AsynchronousWrites

          public AsynchronousWrites()

  - ### Method Detail

    - #### getBytesThreshold

          public java.lang.String getBytesThreshold()

      Gets the value of the bytesThreshold property. possible object is `String`

    - #### setBytesThreshold

          public void setBytesThreshold(java.lang.String value)

      Sets the value of the bytesThreshold property. allowed object is `String`

    - #### getTimeInterval

          public java.lang.String getTimeInterval()

      Gets the value of the timeInterval property. possible object is `String`

    - #### setTimeInterval

          public void setTimeInterval(java.lang.String value)

      Sets the value of the timeInterval property. allowed object is `String`